Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: couchdb

Interfaces

### Description:

Document database server.

### Interfaces:

couchdb_admin( domain , role )

##### Summary

All of the rules required to administrate an couchdb environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

couchdb_manage_lib_files( domain )

##### Summary

Read, write, and create couchdb lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

couchdb_read_conf_files( domain )

##### Summary

Read couchdb config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

couchdb_read_log_files( domain )

##### Summary

Read couchdb log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

couchdb_read_pid_files( domain )

##### Summary

Read couchdb pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return